<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.engine.organization.mapper.trigger.JobTriggerMapper">

    <select id="sumStaffNum" resultType="java.lang.Integer">
        select sum(staff_num)
        from JCL_ORG_STAFF
        where plan_id in (select id
                          from JCL_ORG_STAFFPLAN
                          where time_start &lt;= #{fdatebegin}
                            and time_end &gt;= #{fdatebegin})
          and job_id = #{jobId}
    </select>
    <select id="countHrmResource" resultType="java.lang.Integer">
        select count(1)
        from hrmresource
        where status &lt;= 3
          and departmentid =
              (select id from hrmdepartment where uuid = (select uuid from JCL_ORG_DEPT where id = #{parentdept}))
          and jobtitle in (select id from hrmjobtitles where JOBTITLENAME = #{fname})
    </select>
</mapper>